version: '3.8'
services:
  objectstorage:
    image: 'harbor.gretzki.ddns.net/objectstorage/objectstorage:3dcdf551'
    restart: unless-stopped
    ports:
      - "10006:5777"
    environment:
      - ASPNETCORE_ENVIRONMENT=Production
      - MINIO_ACCESS_KEY=${MINIO_ACCESS_KEY}
      - MINIO_URL=${MINIO_URL}
      - MINIO_SECRET_KEY=${MINIO_SECRET_KEY}
      - KAFKA_BOOTSTRAP_SERVER=${KAFKA_URL}
      - KAFKA_JOBSTORAGE_REQUESTS=jobstoragerequests
      - KAFKA_JOBSTORAGE_GROUPID=jobstorageconsumer
      - KAFKA_JOBSTORAGE_RESPONSES=jobstorageresponses
      - KAFKA_REMOVESTORAGE_INBOUND=removestorage
      - REDIS_ENDPOINT_ADDRESS=${REDIS_ENDPOINT_ADDRESS}
      - REDIS_ENDPOINT_PORT=${REDIS_ENDPOINT_PORT}
